API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/locations/{locationId}
ark.get_location
Returns one visible location by ID.
- Availability
- Core preview
- Scopes
locations:read- ARK permissions
canViewLocations- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
locationIdpathstringrequired- format: uuid
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/locations/<locationId>' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Get location
objectstringrequiredone of: api_response
okbooleanrequiredone of: true
api_versionstringrequiredone of: 2026-05-31
request_idstringrequireddataobjectrequireddata.idstringrequiredformat: uuid
data.teamIdstring | nullrequiredformat: uuid
data.namestring | nullrequireddata.notesstring | nullrequireddata.internalNotesstring | nullrequireddata.addressobjectrequireddata.customerobject | nullrequireddata.createdAtstringrequiredformat: date-time
Errors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found